[Solved] Atmel Studio 7 - Build Issue on new installed PC

Go To Last Post
4 posts / 0 new
Author
Message
#1
  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Hi Everyone.

 

I recently Installed Atmel Studio on a new Laptop ( Version 7.0.1417 ) . On my Desktop I use Atmel Studio Version 7.0.943.

 

If I copy my project from my desktop (which Builds successfully on my Desktop) to the new laptop, I get Multiple Compilation Errors.

My Project Use ASF 3.28.1 on the desktop and if I check on my laptop under ASF Wizard, It is also ASF 3.28.1

 

Most of the compilation errors seems to be part of the ASF.

 

Below is some of the Errors on the new Laptop

Error        recipe for target 'src/asf/xmega/services/pwm/pwm.o' failed    

 

Error        'PWM_CLK_DIV1' undeclared (first use in this function)

Error        'PWM_CLK_DIV2' undeclared (first use in this function) 

Error        'PWM_CLK_DIV4' undeclared (first use in this function)

 

 

Error        'TC_CCDEN' undeclared (first use in this function)

etc..........

 

Build Output ( 1 of the errors) 

C:\source\protectoultima\PepperMiniX18\src\asf\xmega\services\pwm\pwm.c(73,21): info: each undeclared identifier is reported only once for each function it appears in
C:\source\protectoultima\PepperMiniX18\src\asf\xmega\services\pwm\pwm.c(76,21): error: 'PWM_CLK_DIV2' undeclared (first use in this function)
           config->clk_sel = PWM_CLK_DIV2;

 

 

Could it be that somewhere I have a reference to the wrong ASF on my new installation? Or do I Have a Missing component in Atmel Studio. 

I've been pulling my hair out the last 10 hours to try and find a solution ( And it is probably something small I am overlooking)

Even the location of my project is exactly the same as on my Laptop.

 

Any help would be appreciated..

 

regards 

 

Marius

 

This topic has a solution.
Last Edited: Sat. May 13, 2017 - 02:43 PM
  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

cyborg.za wrote:
Below is some of the Errors on the new Laptop

Only "some"?

Which ones have you omitted? - could they, perchance, be about missing headers ... ?

 

The errors sound very much like missing headers.

 

Perhaps the installations are in (slightly) different places - so your Include Paths need updating ... ?

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Thank you.. 

 

I made the mistake by assuming the project properties would be the same as I copied the whole Project Folder over to the new laptop.

 

Then I found the differences (in Project Properties) :

 

Tool-chain:

  • My Desktop Use  avr\4.9.2
  • Laptop Use          avr\5.4.0

Device Pack:

  • My Desktop Use    \Packs\atmel\XMEGAD_DFP\1.0.33\gcc\dev\atxmega128d3
  • My Laptop Use       \Packs\atmel\XMEGAD_DFP\1.0.32\gcc\dev\atxmega128d3

 

 

So I think the problem is that on my laptop (which has the latest version of Atmel Studio) uses a lower version of the device pack (1.0.32).

The Problem is that version 1.0.33 is not in the Device Pack Manager.. So I will try to copy the folder (\Packs\atmel\XMEGAD_DFP\1.0.33) over from my Desktop to the  Laptop.

 

Then I will check if I will need to manually change the "Project Properties > Toolchain settings" to link to the new pack. ( I couldn't find a document on this so I think it will be trail and error)

 

 

 

 

Last Edited: Sat. May 13, 2017 - 02:05 PM
This reply has been marked as the solution. 
  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

(SOLVED)

Thank you.. I had to use the Exact Device Pack as What I had on my previous PC ( Desktop) ..

Because the device Pack Version  1.0.33 (for xmegaD) was no available in the Device Pack Manager, I copied the whole folder "packs\atmel\XMEGAD_DFP\1.0.33" to My Laptop and reset the cache in device Pack Manager.

The Latest Version of the device pack (1.1.57) I had to Uninstall so that my Version 1.0.33 was the latest . Then I needed to restart Atmel Studio.

I then had to go to Project Properties->Components and choose "Change Version"  -> Use Latest Version 

 

After this I had to individually recompile some of my C Files before the build Succeeded.

 

Now It Works :)

 

Last Edited: Sat. May 13, 2017 - 02:48 PM